/*=========================================================================
 
Program:   BlueBerry Platform
Language:  C++
Date:      $Date: 2010-01-16 19:57:43 +0100 (Sat, 16 Jan 2010) $
Version:   $Revision: 21070 $
 
Copyright (c) German Cancer Research Center, Division of Medical and
Biological Informatics. All rights reserved.
See MITKCopyright.txt or http://www.mitk.org/copyright.html for details.
 
This software is distributed WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the above copyright notices for more information.
 
=========================================================================*/

#include "berryLog.h"

#include "berryServiceRegistry.h"

#include "Poco/Exception.h"

#include <iostream>

namespace berry {

ServiceRegistry::~ServiceRegistry()
{
  
}

void ServiceRegistry::RegisterService(const std::string& id, Service::Pointer service)
{
  Poco::Mutex::ScopedLock lock(m_Mutex);
  if (m_ServiceMap.find(id) != m_ServiceMap.end())
    throw Poco::ExistsException("The following service is already registered:", id);
  
  m_ServiceMap[id] = service;
  //BERRY_INFO << "Service " << id << " registered\n";
}

void ServiceRegistry::UnRegisterService(const std::string& /*id*/)
{
  throw Poco::NotImplementedException();
}

void ServiceRegistry::UnRegisterService(Service::ConstPointer /*service*/)
{
  throw Poco::NotImplementedException();
}

} // namespace berry
