/*=========================================================================

 Program:   BlueBerry Platform
 Language:  C++
 Date:      $Date: 2010-01-16 19:57:43 +0100 (Sat, 16 Jan 2010) $
 Version:   $Revision: 21070 $

 Copyright (c) German Cancer Research Center, Division of Medical and
 Biological Informatics. All rights reserved.
 See MITKCopyright.txt or http://www.mitk.org/copyright.html for details.

 This software is distributed WITHOUT ANY WARRANTY; without even
 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 PURPOSE.  See the above copyright notices for more information.

 =========================================================================*/

#include "berryImageDescriptor.h"

#include "tweaklets/berryImageTweaklet.h"

namespace berry {

ImageDescriptor::Pointer ImageDescriptor::CreateFromFile(const std::string& filename, const std::string& pluginid)
{
  return Tweaklets::Get(ImageTweaklet::KEY)->CreateFromFile(filename, pluginid);
}

ImageDescriptor::Pointer ImageDescriptor::CreateFromImage(void* img)
{
  return Tweaklets::Get(ImageTweaklet::KEY)->CreateFromImage(img);
}

ImageDescriptor::Pointer ImageDescriptor::GetMissingImageDescriptor()
{
  return Tweaklets::Get(ImageTweaklet::KEY)->GetMissingImageDescriptor();
}

ImageDescriptor::ImageDescriptor()
{

}

}
