/*=========================================================================

Program:   Medical Imaging & Interaction Toolkit
Language:  C++
Date:      $Date: 2009-05-12 20:04:59 +0200 (Tue, 12 May 2009) $
Version:   $Revision: 17180 $

Copyright (c) German Cancer Research Center, Division of Medical and
Biological Informatics. All rights reserved.
See MITKCopyright.txt or http://www.mitk.org/copyright.html for details.

This software is distributed WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the above copyright notices for more information.

=========================================================================*/


#include "QmitkRenderingManagerFactory.h"
#include "QmitkRenderingManager.h"

QmitkRenderingManagerFactory
::QmitkRenderingManagerFactory()
{
  mitk::RenderingManager::SetFactory( this );

}

QmitkRenderingManagerFactory
::~QmitkRenderingManagerFactory()
{
}

mitk::RenderingManager::Pointer
QmitkRenderingManagerFactory
::CreateRenderingManager() const
{
  QmitkRenderingManager::Pointer specificSmartPtr = QmitkRenderingManager::New();
  mitk::RenderingManager::Pointer smartPtr = specificSmartPtr.GetPointer();
  return smartPtr;
}
