#Begin MicronTracker Hardware
OPTION(MITK_USE_MICRON_TRACKER "Enable support for micron tracker hardware" OFF)

# only if MicronTracker is enabled
IF(MITK_USE_MICRON_TRACKER)
  FIND_LIBRARY(MITK_MICRON_TRACKER_LIB MTC DOC "Path which contains the MT2 library.")
  GET_FILENAME_COMPONENT(MICRON_TRACKER_SDK_DIR ${MITK_MICRON_TRACKER_LIB} PATH)
  FIND_PATH(MITK_MICRON_TRACKER_INCLUDE_DIR MTC.h ${MICRON_TRACKER_SDK_DIR} DOC  "Include directory of the MT2.")
  FIND_PATH(MITK_MICRON_TRACKER_TEMP_DIR . DOC "Any temporary directory which can be used by the MicronTracker2.")
  FIND_PATH(MITK_MICRON_TRACKER_CALIBRATION_DIR BumbleBee_6400420.calib DOC "Path which contains the MT2 calibration file.")
ENDIF(MITK_USE_MICRON_TRACKER)
#End MicronTracker Hardware


# only on Win32
IF(WIN32)
  
  #Begin Ascension MicroBird Hardware
  OPTION(MITK_USE_MICROBIRD_TRACKER "Enable support for Ascension MicroBird tracker hardware" OFF)
  IF(MITK_USE_MICROBIRD_TRACKER)
   ADD_DEFINITIONS(-DMITK_USE_MICROBIRD_TRACKER)
   FIND_LIBRARY(MITK_USE_MICROBIRD_TRACKER_LIB PCIBird3)
   GET_FILENAME_COMPONENT(MICROBIRD_TRACKER_API_DIR ${MITK_USE_MICROBIRD_TRACKER_LIB} PATH)
   FIND_PATH(MITK_USE_MICROBIRD_TRACKER_INCLUDE_DIR PCIBird3.h ${MICROBIRD_TRACKER_API_DIR})
  ENDIF(MITK_USE_MICROBIRD_TRACKER)
  #End MicroBird Hardware

ENDIF(WIN32)
