/*=========================================================================
 
Program:   Medical Imaging & Interaction Toolkit
Language:  C++
Date:      $Date: 2010-03-15 11:12:36 +0100 (Mon, 15 Mar 2010) $
Version:   $Revision: 21745 $
 
Copyright (c) German Cancer Research Center, Division of Medical and
Biological Informatics. All rights reserved.
See MITKCopyright.txt or http://www.mitk.org/copyright.html for details.
 
This software is distributed WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the above copyright notices for more information.
 
=========================================================================*/

#ifndef MITK_SHOW_SEGMENTATION_AS_SURFACE_H_INCLUDET_WAD
#define MITK_SHOW_SEGMENTATION_AS_SURFACE_H_INCLUDET_WAD

#include "mitkSegmentationSink.h"
#include "MitkExtExports.h"
#include "mitkUIDGenerator.h"
#include "mitkSurface.h"

namespace mitk 
{

class MitkExt_EXPORT ShowSegmentationAsSurface : public SegmentationSink
{
  public:
    
    mitkClassMacro( ShowSegmentationAsSurface, SegmentationSink )
    mitkAlgorithmNewMacro( ShowSegmentationAsSurface );
    
  protected:
    
    ShowSegmentationAsSurface();  // use smart pointers
    virtual ~ShowSegmentationAsSurface();

    virtual void Initialize(const NonBlockingAlgorithm* other = NULL);
    virtual bool ReadyToRun();

    virtual bool ThreadedUpdateFunction(); // will be called from a thread after calling StartAlgorithm
    
    virtual void ThreadedUpdateSuccessful(); // will be called from a thread after calling StartAlgorithm

  private:

    UIDGenerator m_UIDGeneratorSurfaces;

    Surface::Pointer m_Surface;
    DataNode::Pointer m_Node;

    bool m_AddToTree;

};

} // namespace

#endif


